﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGrid_Excel_Export_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = getData();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            //エクセルのファイル名
            string fileName = "製品一覧.xlsx";
            //UltraGrid のデータをエクスポートする
            this.ultraGridExcelExporter1.Export(this.ultraGrid1, fileName);
            //エクセルファイルを開く
            System.Diagnostics.Process.Start(fileName);
        }

        private DataTable getData()
        {
            DataColumn[] PrimaryColumn = new DataColumn[1];
            DataTable dt = new DataTable();
            PrimaryColumn[0] = dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Season", typeof(string));

            dt.Rows.Add(1, "レモン", "秋");
            dt.Rows.Add(2, "すいか", "夏");
            dt.Rows.Add(3, "みかん", "冬");
            dt.Rows.Add(4, "いちご", "春");
            dt.Rows.Add(5, "ぶどう", "秋");
            dt.Rows.Add(6, "いよかん", "冬");
            dt.Rows.Add(7, "メロン", "夏");
            dt.Rows.Add(8, "りんご", "秋");
            dt.Rows.Add(9, "ゆず", "冬");
            dt.Rows.Add(10, "さくらんぼ", "夏");

            dt.PrimaryKey = PrimaryColumn;

            return dt;
        }
    }
}
